﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using System.Collections.ObjectModel;

namespace TestingXDG_AddedItem
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private XamDataGrid deviceDataGrid = new XamDataGrid();
        private ObservableCollection<Data> deviceGridDataSource = new ObservableCollection<Data>();
        private Data source = new Data() {MyProperty="Source" };

        public XamDataGrid DeviceDataGrid
        {
            get { return deviceDataGrid; }
            set 
            { 
                deviceDataGrid = value;
                deviceDataGrid.DataSource = deviceGridDataSource;
            }
        }
        public MainWindow()
        {
            InitializeComponent();
            Loaded += new RoutedEventHandler(MainWindow_Loaded);
        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            LayoutRoot.Children.Add(deviceDataGrid);
            deviceDataGrid.DataSource = deviceGridDataSource;
            deviceGridDataSource.Add(source);
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            deviceGridDataSource.Remove(source);
            deviceGridDataSource.Add(new Data());
        }
    }
    public class Data
    {
        public string MyProperty { get; set; }
        public Data()
        {
            MyProperty = "New";
        }
    }
}
